<layout xmlns:app="http://schemas.android.com/apk/res-auto">

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin_small"
                android:layout_weight="1"
                android:background="@drawable/edit_background"
                android:orientation="vertical"
                android:padding="4dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:text="@string/first_name"
                    android:marqueeRepeatLimit="marquee_forever"
                    app:marquee="@{true}"
                    android:ellipsize="marquee"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/small_textsize"
                    android:textStyle="bold" />

                <EditText
                    android:id="@+id/account_first_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/transparent"
                    android:imeOptions="actionNext"
                    android:inputType="text"
                    android:maxLines="1"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:textColor="@color/colorPrimary"
                    android:textCursorDrawable="@null"
                    android:textSize="@dimen/medium_textsize" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin_small"
                android:layout_weight="1"
                android:background="@drawable/edit_background"
                android:orientation="vertical"
                android:padding="4dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:text="@string/phone_number"
                    android:marqueeRepeatLimit="marquee_forever"
                    app:marquee="@{true}"
                    android:ellipsize="marquee"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/small_textsize"
                    android:textStyle="bold" />

                <EditText
                    android:id="@+id/account_phone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/transparent"
                    android:imeOptions="actionNext"
                    android:inputType="phone"
                    android:maxLines="1"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:textColor="@color/colorPrimary"
                    android:textCursorDrawable="@null"
                    android:textSize="@dimen/medium_textsize" />
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin_small"
                android:layout_weight=".5"
                android:background="@drawable/edit_background"
                android:orientation="vertical"
                android:padding="4dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:text="@string/email"
                    android:marqueeRepeatLimit="marquee_forever"
                    app:marquee="@{true}"
                    android:ellipsize="marquee"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/small_textsize"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/account_email"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/transparent"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:marqueeRepeatLimit="marquee_forever"
                    app:marquee="@{true}"
                    android:ellipsize="marquee"
                    android:textColor="@color/colorPrimary"
                    android:textCursorDrawable="@null"
                    android:textSize="@dimen/medium_textsize" />
            </LinearLayout>



        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/margin_small"
            android:background="@drawable/edit_background"
            android:orientation="vertical"
            android:padding="4dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingStart="4dp"
                android:paddingEnd="4dp"
                android:text="@string/address1"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/small_textsize"
                android:textStyle="bold" />

            <EditText
                android:id="@+id/account_address1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/transparent"
                android:imeOptions="actionNext"
                android:inputType="text"
                android:maxLines="4"
                android:paddingStart="4dp"
                android:paddingEnd="4dp"
                android:textColor="@color/colorPrimary"
                android:textCursorDrawable="@null"
                android:textSize="@dimen/medium_textsize" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/margin_small"
            android:background="@drawable/edit_background"
            android:orientation="vertical"
            android:padding="4dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingStart="4dp"
                android:paddingEnd="4dp"
                android:text="@string/address2"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/small_textsize"
                android:textStyle="bold" />

            <EditText
                android:id="@+id/account_address2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/transparent"
                android:imeOptions="actionNext"
                android:inputType="text"
                android:maxLines="4"
                android:paddingStart="4dp"
                android:paddingEnd="4dp"
                android:textColor="@color/colorPrimary"
                android:textCursorDrawable="@null"
                android:textSize="@dimen/medium_textsize" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin_small"
                android:layout_weight="1"
                android:background="@drawable/edit_background"
                android:orientation="vertical"
                android:padding="4dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:text="@string/city"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/small_textsize"
                    android:textStyle="bold" />

                <EditText
                    android:id="@+id/account_city"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/transparent"
                    android:imeOptions="actionNext"
                    android:inputType="text"
                    android:maxLines="1"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:textColor="@color/colorPrimary"
                    android:textCursorDrawable="@null"
                    android:textSize="@dimen/medium_textsize" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin_small"
                android:layout_weight="1"
                android:background="@drawable/edit_background"
                android:orientation="vertical"
                android:padding="4dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:text="@string/state"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/small_textsize"
                    android:textStyle="bold" />

                <EditText
                    android:id="@+id/account_state"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/transparent"
                    android:imeOptions="actionNext"
                    android:inputType="textAutoComplete"
                    android:maxLines="1"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:textColor="@color/colorPrimary"
                    android:textCursorDrawable="@null"
                    android:textSize="@dimen/medium_textsize" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin_small"
                android:layout_weight="1"
                android:background="@drawable/edit_background"
                android:orientation="vertical"
                android:padding="4dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:text="@string/zip_code"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/small_textsize"
                    android:textStyle="bold" />

                <EditText
                    android:id="@+id/account_zipcode"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/transparent"
                    android:imeOptions="actionNext"
                    android:inputType="text"
                    android:maxLines="1"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:textColor="@color/colorPrimary"
                    android:textCursorDrawable="@null"
                    android:textSize="@dimen/medium_textsize" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin_small"
                android:layout_weight="1"
                android:background="@drawable/edit_background"
                android:orientation="vertical"
                android:padding="4dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:text="@string/country"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/small_textsize"
                    android:textStyle="bold" />

                <EditText
                    android:id="@+id/account_country"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/transparent"
                    android:imeOptions="actionDone"
                    android:inputType="textAutoComplete"
                    android:maxLines="1"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:textColor="@color/colorPrimary"
                    android:textCursorDrawable="@null"
                    android:textSize="@dimen/medium_textsize" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/margin_large"
            android:orientation="vertical">

            <Button
                android:id="@+id/btnUpdateAccount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@drawable/button_background"
                android:minHeight="@dimen/button_minheight"
                android:paddingLeft="@dimen/button_padding"
                android:paddingRight="@dimen/button_padding"
                android:text="@string/update_account"
                android:textAllCaps="false"
                android:textColor="@android:color/white"
                android:textSize="@dimen/small_textsize" />

            <Button
                android:id="@+id/btnUnregisterSpa"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/margin_medium"
                android:background="@drawable/button_background"
                android:minHeight="@dimen/button_minheight"
                android:text="@string/unregister_spa"
                android:textAllCaps="false"
                android:textColor="@android:color/white"
                android:textSize="@dimen/small_textsize" />
        </LinearLayout>
    </LinearLayout>
</layout>